Job Operation Tool
The job operation tool resource.
Basehttps://rest.carbon.ms/jobOperationTool
GET
/jobOperationToolList job operation tools
Retrieve a paginated list of job operation tools. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/jobOperationTool
curl --request GET \
--url 'https://rest.carbon.ms/jobOperationTool?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"operationId": "xyz789",
"toolId": "xyz789",
"quantity": 10,
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}
]GET
/jobOperationToolRetrieve a job operation tool
Fetch a single job operation tool by filtering on `id`.
Query parameters
idstringMatch on the job operation tool's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/jobOperationTool
curl --request GET \
--url 'https://rest.carbon.ms/jobOperationTool?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"operationId": "xyz789",
"toolId": "xyz789",
"quantity": 10,
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}POST
/jobOperationToolCreate a job operation tool
Create a new job operation tool.
Body parameters
operationIdstringrequiredReferences jobOperation.id
toolIdstringrequiredReferences item.id
quantitynumberrequiredcompanyIdstringrequiredReferences company.id
POSThttps://rest.carbon.ms/jobOperationTool
curl --request POST \
--url https://rest.carbon.ms/jobOperationTool \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"operationId":"xyz789","toolId":"xyz789","quantity":10,"companyId":"xyz789"}'Response
{
"id": "abc123def456",
"operationId": "xyz789",
"toolId": "xyz789",
"quantity": 10,
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}PATCH
/jobOperationToolUpdate a job operation tool
Update an existing job operation tool, matched on `id`.
Body parameters
operationIdstringrequiredReferences jobOperation.id
toolIdstringrequiredReferences item.id
quantitynumberrequiredcompanyIdstringrequiredReferences company.id
PATCHhttps://rest.carbon.ms/jobOperationTool
curl --request PATCH \
--url 'https://rest.carbon.ms/jobOperationTool?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"operationId":"xyz789"}'Response
{
"id": "abc123def456",
"operationId": "xyz789",
"toolId": "xyz789",
"quantity": 10,
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}DELETE
/jobOperationToolDelete a job operation tool
Delete a job operation tool, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the job operation tool to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/jobOperationTool
curl --request DELETE \
--url 'https://rest.carbon.ms/jobOperationTool?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content